NNotifyy CRM

Objects

Update a contact property

Update a single contact property by contact ID.

Overview

Use this endpoint to replace one property value on an existing contact. Send value for scalar properties or values for multi-value properties. It requires public api oauth access token authentication and the crm.contacts.write scope.

PATCH/api/crm/objects/contacts/{contactId}

cURL

PATCH
bash
curl --request PATCH \  --url 'https://crm.notifyy.io/api/crm/objects/contacts/55' \  --header 'Authorization: Bearer nfy_public_api_access_token' \  --header 'Content-Type: application/json' \  --data '{  "internal_name": "firstname",  "value": "Jane Updated"}'

Authorization

Public API OAuth access token

crm.contacts.write

Sample Request Body

json
{  "internal_name": "firstname",  "value": "Jane Updated"}

Additional Examples

Multi-value property

json
{  "internal_name": "tags",  "values": [    "vip",    "newsletter",    "priority"  ]}

Sample Response

json
{  "success": true,  "message": "Property updated successfully",  "data": null}

Status Codes

CodeDescription
200Property was updated.

Headers

AuthorizationstringRequired

Public API OAuth bearer token.

Example: Bearer nfy_public_api_access_token

Content-TypestringRequired

Request body media type.

Example: application/json

Path parameters

contactIdintegerRequired

Contact ID.

Example: 55

Request body

internal_namestringRequired

Property internal name to update.

Example: firstname

valueanyOptional

Scalar property value.

Example: Jane Updated

valuesarrayOptional

Multi-value replacement.

Example: ["vip","newsletter","priority"]

Response fields

successboolean

Whether the request succeeded.

Example: true

messagestring

Human-readable result message.

Example: Property updated successfully

datanull

No response payload is returned for a successful property update.